jQuery(document).ready(function($){

    $(document).on('click', '#halloween-party-welcome-notice .notice-dismiss', function(){

        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'halloween_party_dismiss_notice'
            }
        });

    });

});